/* Land Class
 *
 * This class simple generates a terrain of SIZExSIZE faces.
 * It calculates two versions: one with Gouraud Shading, the other
 * with simple flat shading.
 */

#include "SDL.h"
#include "SDL_opengl.h"

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>

#define SIZE 15

/* This is determines the variation in the
 * z coordinates of the landscape.  In other
 * words, the steepness of the slopes.
 */
#define VARIATION 1.f

class Land
{
public:
  Land();
  ~Land();
  void generateLand();
  void drawLand();
  bool garaud;
private:
  GLfloat landarray[SIZE+1][SIZE+1];
  GLuint land, landg;
  GLfloat gnormals[SIZE+1][SIZE+1][2];
  void calculateGaraud();
};